summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--build/neutron-patch-NSDriver.patch23
-rwxr-xr-xci/dev_dep_check.sh28
2 files changed, 26 insertions, 25 deletions
diff --git a/build/neutron-patch-NSDriver.patch b/build/neutron-patch-NSDriver.patch
index e015064c..d5889e38 100644
--- a/build/neutron-patch-NSDriver.patch
+++ b/build/neutron-patch-NSDriver.patch
@@ -203,6 +203,29 @@ index c2eb06e..80da16f 100644
class OVSInterfaceDriver(LinuxInterfaceDriver):
"""Driver for creating an internal interface on an OVS bridge."""
+diff --git a/neutron/agent/l3/ha_router.py b/usr/lib/python2.7/site-packages/neutron/agent/l3/ha_router.py
+index ca0e50d..2c4fdad 100644
+--- a/neutron/agent/l3/ha_router.py
++++ b/usr/lib/python2.7/site-packages/neutron/agent/l3/ha_router.py
+@@ -52,15 +52,14 @@ class HaRouterNamespace(namespaces.RouterNamespace):
+ class HaRouter(router.RouterInfo):
+ def __init__(self, state_change_callback, *args, **kwargs):
+ super(HaRouter, self).__init__(*args, **kwargs)
+-
+ self.ha_port = None
+ self.keepalived_manager = None
+ self.state_change_callback = state_change_callback
+
+ def create_router_namespace_object(
+- self, router_id, agent_conf, iface_driver, use_ipv6):
++ self, router_id, agent_conf, iface_driver, use_ipv6, ovs_driver):
+ return HaRouterNamespace(
+- router_id, agent_conf, iface_driver, use_ipv6)
++ router_id, agent_conf, iface_driver, use_ipv6, ovs_driver)
+
+ @property
+ def ha_priority(self):
+
--
2.9.3
diff --git a/ci/dev_dep_check.sh b/ci/dev_dep_check.sh
index 2a6266c0..6d0aa11f 100755
--- a/ci/dev_dep_check.sh
+++ b/ci/dev_dep_check.sh
@@ -53,29 +53,7 @@ easy_install-3.4 jinja2
easy_install-3.4 tox
# Required packages to redirect stdin with virt-customize
-virt_uri_base=https://people.redhat.com/~rjones/libguestfs-RHEL-7.3-preview
-virt_pkgs=(
-'libguestfs-1.32.7-3.el7.x86_64.rpm'
-'libguestfs-tools-1.32.7-3.el7.noarch.rpm'
-'libguestfs-tools-c-1.32.7-3.el7.x86_64.rpm'
-'supermin-5.1.16-4.el7.x86_64.rpm'
-'supermin5-5.1.16-4.el7.x86_64.rpm'
-'supermin-helper-5.1.16-4.el7.x86_64.rpm'
-'perl-Sys-Guestfs-1.32.7-3.el7.x86_64.rpm'
-'python-libguestfs-1.32.7-3.el7.x86_64.rpm'
-)
-dir=/tmp/packages.$RANDOM
-mkdir -p $dir
-pushd $dir
-all_packages=""
-for pkg in ${virt_pkgs[@]}; do
- if ! wget $virt_uri_base/$pkg; then
- echo "ERROR: Failed to download $pkg"
- fi
- all_packages="$all_packages $pkg"
-done
-if [[ $all_packages != "" ]];then
- yum install -y $all_packages
+if ! sudo yum -y install libguestfs libguestfs-tools libguestfs-tools-c supermin supermin5 supermin-helper perl-Sys-Guestfs python-libguestfs; then
+ echo "Failed to install supermin/libguestfs packages..."
+ exit 1
fi
-rm -rf $dir
-popd